/**
 * ANCHOR Customising
 *
 */
body {
    font-family: var(--clx-font-family);
    color: var(--clx-color);
    font-size: 1.1em;
    font-weight: var(--clx-font-normal);
    -webkit-text-size-adjust: none;
}


h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
    margin: 25px 0 15px 0;
    color: var(--clx-color-primary);
    font-size: 2em;
    font-weight: 500;
    line-height: 1.1em;
}

h1,
.h1 {
    margin: 30px 0 20px 0;
}

h2,
.h2 {
    font-size: 1.5em;
}

h2.black {
    color: var(--clx-color);
}

h3,
.h3 {
    color: var(--clx-color);
    font-size: 1.2em;
}

h4,
.h4 {
    color: var(--clx-color);
    font-size: 1.0em;
}



header {
    background: linear-gradient(to bottom, #E3E3E3 0, #ffffff 40px, #ffffff 70px, var(--clx-color-primary) 70px, var(--clx-color-primary) 100%);

    & .logo {
        box-sizing: border-box;
        padding: 10px 20px;
        margin-bottom: 10px;
        margin-left: -20px;
        width: fit-content;
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 10px;
        background: linear-gradient(to bottom, #E3E3E3 0, #ffffff 40px, #ffffff 70px, #ffffff 100%);

        & a {
            display: flex;

            & img {
                display: flex;
                width: auto;
                height: 110px;
            }
        }
    }

    & .clx-navigation {
        padding-top: 80px;

        & ul {
            align-items: flex-start;

            & ul {
                margin-left: -5px;
                padding-left: 5px;
                padding-right: 5px;
            }
        }
    }
}

main {
    box-sizing: border-box;
    padding-bottom: 120px;

    & section {
        width: 100%;
        margin-top: 140px;
        background-color: #dddddd;

        & img {
            display: flex;
            width: 100%;
        }

        & iframe {
            display: flex;
            height: 40dvh;
        }
    }

    & .toggle {
        & .content {
            max-height: 140px;
            overflow: hidden;
            transition: max-height 0.2s ease;

            &.open {
                max-height: 1200px !important;
            }
        }

        & button {
            padding: 8px 0 9px 20px;
            margin: 0 0 6px 3px;
            background: transparent;
            border: none;
            font-family: 'Jost', Arial, Helvetica, sans-serif;
            font-size: 1.0em;
            font-weight: 500;
            color: rgb(51, 51, 51);
            cursor: pointer;
            background: transparent url(../images/icon_arrow_down.svg) center left no-repeat;
            background-size: auto 14px;

            &:hover {
                opacity: 0.5;
            }

            &.open {
                background: transparent url(../images/icon_arrow_up.svg) center left no-repeat;
                background-size: auto 14px;
            }
        }
    }

    & ul {
        margin-top: 0;
        list-style: none;

        & li {
            line-height: 1.4em;
            padding-left: 13px;
            padding-bottom: 4px;
            margin-left: 0;
            background: transparent url(../images/bg_li.png) 1px -399px no-repeat;
        }
    }
}

footer {
    background-image: linear-gradient(#dedede, #ffffff, #ffffff);

    & .footer-logo {
        display: flex;
        margin-top: 5px;
        width: auto;
        height: 110px;
    }

    & a {
        color: var(--clx-color);

        &:hover {
            color: var(--clx-color-primary);
        }
    }
}

.clx-totop {
    background-color: var(--clx-color-primary);
}




/**
 * ANCHOR Media Queries
 *
 */
@media (max-width: 960px) {

    .clx-navigation {
        display: none;
    }

    .clx-navigation-burger {
        display: block;
    }

    h1 {
        hyphens: auto;
    }

    header {

        & .clx-width-1-4 {
            width: 200px;

            & a {

                & img {
                    width: 100%;
                    height: auto;
                }
            }
        }

        & .clx-width-3-4 {
            width: calc(100% - 200px);
        }

    }

    main {
        & section {
            margin-top: 120px;
        }

        .clx-container {
            padding-left: 20px;
            padding-right: 20px;
        }
    }

    footer {
        & .clx-width-1-4 {
            width: fit-content;

            & .footer-logo {
                height: auto;
                width: 150px;
            }
        }

        & .clx-padding-large-top {
            padding-top: 40px;
        }
    }

    /* m */
    .clx-width-1-2\@m,
    .clx-width-1-3\@m,
    .clx-width-1-4\@m,
    .clx-width-3-4\@m {
        width: 100%;
    }

}

@media (max-width: 640px) {

    header {
        & .clx-container {
            padding-right: 20px;
        }
    }

    footer {
        & .clx-width-1-4 {

            & .footer-logo {
                width: 120px;
            }

        }

        & .clx-padding-large-top {
            padding-top: 30px;
        }
    }

}

@media (max-width: 420px) {
    footer {
        & .clx-padding-large-top {
            padding-top: 0;
        }

    }
}

@media only screen and (orientation: portrait) {}

@media print {

    p {
        font-size: 12px;
    }

    nav {
        display: none !important;
    }

    .clx-container {
        padding-left: 0;
        padding-right: 0;
    }

}

:root {

    interpolate-size: allow-keywords;

    /* Color */
    --clx-color-black: #000000;
    --clx-color-white: #ffffff;
    --clx-color-darkwhite: #F9F9F9;

    --clx-color: #333333;
    --clx-color-muted: #F2F2F2;
    --clx-color-primary: #e98131;
    --clx-color-secondary: #043546;
    --clx-color-success: #2e8d00;
    --clx-color-warning: #faa05a;
    --clx-color-danger: #d20000;
    --clx-color-header: #dedede;
    --clx-color-footer: #165f77;
    --clx-color-primary-rev: var(--clx-color-white);
    --clx-color-secondary-rev: var(--clx-color-white);

    /* Navigation */
    --clx-nav-float: right;
    --clx-nav-ul-ul-height: 50rem;
    --clx-nav-ul-ul-bgcolor: var(--clx-color-primary);
    --clx-nav-color-burger: var(--clx-color-black);
    --clx-nav-color-a: var(--clx-color-white);
    --clx-nav-color-a-hover: var(--clx-color-black);
    --clx-nav-a-weight: 400;
    --clx-nav-a-size: 18px;
    --clx-nav-a-a-weight: 400;
    --clx-nav-a-a-size: 18px;
    --clx-nav-margin-correction-left: 15px;
    --clx-nav-margin-correction-right: -15px;
    --clx-nav-padding-top: 5px;
    --clx-nav-padding-bottom: 5px;
    --clx-nav-padding-left: 15px;
    --clx-nav-padding-right: 15px;
    --clx-nav-padding-first-child: 15px;
    --clx-nav-padding-last-child: 15px;
    --clx-nav-margin-top: 2px;
    --clx-nav-margin-bottom: 2px;
    --clx-nav-margin-left: 0;
    --clx-nav-margin-right: 0;
    --clx-nav-lang-padding-left: 15px;
    --clx-nav-lang-padding-right: 15px;
    --clx-nav-burger-margin-top: 15px;
    --clx-nav-burger-padding-right: 40px;
    --clx-nav-burger-padding-left: 0;
    --clx-nav-mobile-bgcolor: var(--clx-color-muted);
    --clx-nav-mobile-padding-top: 140px;
    --clx-nav-mobile-padding-horizontal: 10px;
    --clx-nav-mobile-padding-vertical: 5px;
    --clx-nav-mobile-sub-padding: 20px;
    --clx-nav-mobile-font-size: larger;
    --clx-nav-mobile-color-a: var(--clx-color-black);
    --clx-nav-mobile-color-a-hover: var(--clx-color-primary);
    --clx-nav-mobile-a-weight: 400;
    --clx-nav-mobile-a-size: 20px;
    --clx-nav-mobile-a-a-weight: 400;
    --clx-nav-mobile-a-a-size: 17px;


    /* Text */
    --clx-color-title: var(--clx-color-primary);
    --clx-color-a: var(--clx-color-primary);
    --clx-color-a-hover: var(--clx-color-black);
    --clx-decoration-a: none;
    --clx-decoration-a-hover: none;
    --clx-button-color: var(--clx-color-black);
    --clx-button-color-hover: var(--clx-color-primary);
    --clx-button-bg-primary: var(--clx-color-primary);
    --clx-button-bg-primary-hover: var(--clx-color-black);
    --clx-button-color-primary: var(--clx-color-white);
    --clx-button-color-primary-hover: var(--clx-color-white);

    --clx-button-bg-secondary: var(--clx-color-secondary);
    --clx-button-bg-secondary-hover: var(--clx-color-black);
    --clx-button-color-secondary: var(--clx-color-white);
    --clx-button-color-secondary-hover: var(--clx-color-white);
    --clx-button-bg-muted: var(--clx-color-muted);
    --clx-button-bg-muted-hover: var(--clx-color-black);
    --clx-button-color-muted: var(--clx-color-white);
    --clx-button-color-muted-hover: var(--clx-color-white);

    /* Table */
    --clx-color-hover: #ffffdd;
    --clx-color-divider: var(--clx-color-muted);
    --clx-color-striped: var(--clx-color-darkwhite);

    /* Shadow */
    --clx-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;

    /* Radius */
    --clx-radius: 4px;

    /* Background Color */
    --clx-card-color: var(--clx-color-darkwhite);
    --clx-card-aspect-ratio: 16 / 9;

    /* Border/Form */
    --clx-border-color: #B5B5B5;
    --clx-border-color-focus: var(--clx-color-black);
    --clx-border-style: solid;
    --clx-border-width: 1px;
    --clx-border-radius: 6px;
    --clx-input-height: 50px;
    --clx-textarea-height: 120px;
    --clx-input-bg-color: var(--clx-color-white);
    --clx-placeholder-color: #B5B5B5;
    --clx-submit-bg-color: #666666;
    --clx-submit-bg-hover-color: var(--clx-color-black);
    --clx-submit-color: var(--clx-color-white);
    --clx-submit-hover-color: var(--clx-color-white);


    /* Distance */
    --clx-grid-margin: 15px;
    --clx-grid-margin-correction: -15px;
    --clx-grid-bottom: 30px;
    --clx-grid-gap: 30px;

    --clx-container-width: 920px;
    --clx-indented-width: 578px;
    --clx-distance-small: 20px;
    --clx-distance-medium: 30px;
    --clx-distance-large: 45px;
    --clx-distance-xlarge: 60px;
    --clx-distance-xxlarge: 80px;
    --clx-distance-xxxlarge: 100px;

    /* Font */
    --clx-font-family: 'Jost', system-ui, sans-serif;
    --clx-font-size-small: calc(.8rem + .2vw);
    --clx-font-size-micro: calc(.6rem + .2vw);
    --clx-font-size: calc(1rem + .2vw);
    --clx-font-size-medium: calc(1.1rem + .2vw);
    --clx-font-size-large: calc(1.4rem + .2vw);

    --clx-font-light: 300;
    --clx-font-normal: 400;
    --clx-font-bold: 500;
    --clx-font-bolder: 600;
    --clx-font-color: var(--clx-color);
    --clx-line-height: 1;

}


/**
 * ANCHOR @fonts
 *
 */

@font-face {
    font-family: 'Jost';
    font-style: normal;
    font-weight: 300;
    font-display: swap;
    src: url('../fonts/Jost/Jost-Light.ttf') format('truetype');
}

@font-face {
    font-family: 'Jost';
    font-style: italic;
    font-weight: 300;
    font-display: swap;
    src: url('../fonts/Jost/Jost-LightItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'Jost';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url('../fonts/Jost/Jost-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Jost';
    font-style: italic;
    font-weight: 400;
    font-display: swap;
    src: url('../fonts/Jost/Jost-Italic.ttf') format('truetype');
}

@font-face {
    font-family: 'Jost';
    font-style: normal;
    font-weight: 500;
    font-display: swap;
    src: url('../fonts/Jost/Jost-Medium.ttf') format('truetype');
}

@font-face {
    font-family: 'Jost';
    font-style: italic;
    font-weight: 500;
    font-display: swap;
    src: url('../fonts/Jost/Jost-MediumItalic.ttf') format('truetype');
}